summaryrefslogtreecommitdiffstats
path: root/network/b43-fwcutter/b43-fwcutter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/b43-fwcutter/b43-fwcutter.SlackBuild')
-rw-r--r--network/b43-fwcutter/b43-fwcutter.SlackBuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/network/b43-fwcutter/b43-fwcutter.SlackBuild b/network/b43-fwcutter/b43-fwcutter.SlackBuild
new file mode 100644
index 0000000000..5ecb927d81
--- /dev/null
+++ b/network/b43-fwcutter/b43-fwcutter.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for b43-fwcutter
+# Project Homepage: http://linuxwireless.org/en/users/Drivers/b43
+
+# Written by Roberto Neri <rneri@libero.it>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=b43-fwcutter
+VERSION=${VERSION:-011}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+CFLAGS="$SLKCFLAGS" make
+mkdir -p $PKG/usr/{bin,man/man1}
+install -m 0755 b43-fwcutter $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/b43-fwcutter
+gzip -9c b43-fwcutter.1 > $PKG/usr/man/man1/b43-fwcutter.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz